{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_carrot",
          "weight": 5
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:carrot",
          "weight": 95,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 0,
                "max": 4
              }
            },
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:can_place_on": {
                  "blocks": "minecraft:farmland"
                }
              }
            }
          ]
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:block_state_property",
          "block": "minecraft:carrots",
          "properties": {
            "age": "7"
          }
        }
      ]
    }
  ]
}